[arch-commits] Commit in nvidia-173xx-utils/trunk (PKGBUILD)

Thomas Bächler thomas at archlinux.org
Mon Jul 26 12:45:48 EDT 2010


    Date: Monday, July 26, 2010 @ 12:45:47
  Author: thomas
Revision: 86137

Readd nvidia 173xx utils with xorg 1.8 support

Modified:
  nvidia-173xx-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-07-26 16:02:34 UTC (rev 86136)
+++ PKGBUILD	2010-07-26 16:45:47 UTC (rev 86137)
@@ -1,8 +1,8 @@
 # $Id: PKGBUILD 28365 2009-03-01 00:11:38Z pierre $
-# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Maintainer: Thomas Bächler <thomas at archlinux.org>
 
 pkgname=nvidia-173xx-utils
-pkgver=173.14.25
+pkgver=173.14.27
 pkgrel=1
 pkgdesc="NVIDIA drivers utilities and libraries, 173xx branch."
 arch=('i686' 'x86_64')
@@ -16,11 +16,15 @@
 license=('custom')
 install=nvidia.install
 options=(!strip)
+backup=('etc/X11/xorg.conf.d/20-nvidia.conf')
 source=("http://download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run")
-md5sums=('397bac51f760505ea57e863c1db9c572')
-[ "$CARCH" = "x86_64" ] && md5sums=('a61b6c1627984f93af73eb446a8beb5e')
+md5sums=('35a6531f71cd6b070f10be8ed11093d4')
+[ "$CARCH" = "x86_64" ] && md5sums=('269425dbc2d9d4ecdc54692281d6d738')
 
-build() {
+source[1]='20-nvidia.conf'
+md5sums[1]='37e417b2c69e46de1346a653e07027fa'
+
+package() {
 	cd $srcdir
 	sh NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run --extract-only
 	cd NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/
@@ -28,11 +32,8 @@
 	mkdir -p $pkgdir/usr/{lib,bin,share/applications,share/pixmaps,share/man/man1}
 	mkdir -p $pkgdir/usr/lib/xorg/modules/{extensions,drivers}
 	mkdir -p $pkgdir/usr/share/licenses/nvidia-173xx/
-	mkdir -p $pkgdir/usr/include/cuda
 
-	install -m644 include/cuda/cuda*.h $pkgdir/usr/include/cuda
-
-	install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} \
+	install lib/{libGLcore,libGL,libnvidia-cfg,tls/libnvidia-tls}.so.${pkgver} \
 	$pkgdir/usr/lib/ || return 1
 	install -m644 share/man/man1/* $pkgdir/usr/share/man/man1/ || return 1
 	rm $pkgdir/usr/share/man/man1/nvidia-installer.1.gz || return 1
@@ -50,18 +51,18 @@
 	ln -s libGLcore.so.$pkgver libGLcore.so.1 || return 1
 	ln -s libnvidia-cfg.so.$pkgver libnvidia-cfg.so.1 || return 1
 	ln -s libnvidia-tls.so.$pkgver libnvidia-tls.so.1 || return 1
-	ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
-	ln -s libcuda.so.$pkgver libcuda.so || return 1
 	ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1
 
 	cd $pkgdir/usr/lib/xorg/modules/extensions
 	ln -s libglx.so.$pkgver libglx.so || return 1
 
 	install -m644 $srcdir/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/LICENSE $pkgdir/usr/share/licenses/nvidia-173xx/ || return 1
-	ln -s nvidia-173xx $startdir/pkg/usr/share/licenses/nvidia-173xx-utils || return 1
+	ln -s nvidia-173xx $pkgdir/usr/share/licenses/nvidia-173xx-utils || return 1
 
 	install -D -m644 $srcdir/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/share/doc/README.txt $pkgdir/usr/share/doc/nvidia-173xx/README || return 1
 
 	find $pkgdir/usr -type d -exec chmod 755 {} \;
+
+	# Install xorg.conf.d file for nvidia autodetection in xorg.conf-less configurations
+	install -D -m644 $srcdir/20-nvidia.conf $pkgdir/etc/X11/xorg.conf.d/20-nvidia.conf
 }
-



More information about the arch-commits mailing list